import 'dart:math';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:worker_client/widgets/MyCard/widgets/CardCell.dart';

class MyCard extends StatelessWidget{

  const MyCard({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.fromLTRB(0, 0, 0, 15.w),
      clipBehavior: Clip.hardEdge,
      width: 345.w,
      decoration: BoxDecoration(
        color: Colors.white,
        boxShadow: [
          BoxShadow(
              color: const Color(0x24000000),
              offset: const Offset(0, 0),
              blurRadius: 22.w)
        ],
        borderRadius: BorderRadius.all(Radius.circular(20.w)),
      ),
      child: Stack(
        children: [
          Positioned(
            top: -61.w,
            left: -67.w,
            child: Transform.rotate(
              angle: pi / 6,
              child: Container(
                width: 112.5.w,
                height: 108.5.w,
                decoration: BoxDecoration(
                  borderRadius: BorderRadius.all(Radius.circular(68.5.w)),
                  border: Border.all(
                      width: 1.w,
                      color: Color(0xFFc7c7c7),
                      style: BorderStyle.solid),
                  gradient: LinearGradient(
                    colors: [
                      Color(0xFFA0E067),
                      Color(0xFF00AE39),
                    ],
                  ),
                ),
                child: Transform.rotate(
                  angle: -pi / 2.3,
                  child: Transform.translate(
                    offset: Offset(38.w, 85.w),
                    child: Text(
                      '进行中',
                      style: TextStyle(
                          fontSize: 14.sp,
                          fontWeight: FontWeight.bold,
                          color: Color(0xffffffff)),
                    ),
                  ),
                ),
              ),
            ),
          ),
          Container(
            padding: EdgeInsets.all(20.w),
            child: Column(
              children: [
                Container(
                  padding: EdgeInsets.fromLTRB(19.w, 9.w, 0, 9.w),
                  child: Row(
                    children: [
                      SizedBox(
                        width: 70,
                        child: Text(
                          '需求时间',
                          style: TextStyle(
                              fontSize: 17.sp,
                              color: const Color(0xFF606060),
                              fontWeight: FontWeight.bold,
                              letterSpacing: 2),
                        ),
                      ),
                      Text(
                        '：',
                        style: TextStyle(
                          fontSize: 17.sp,
                          color: const Color(0xFF606060),
                          fontWeight: FontWeight.bold,
                        ),
                      ),
                      Expanded(
                        flex: 1,
                        child: Text(
                          '2025-05-25',
                          style: TextStyle(
                              fontSize: 17.sp,
                              color: Color(0xFF101010),
                              fontWeight: FontWeight.bold),
                        ),
                      ),
                      GestureDetector(
                        onTap: () {},
                        child: Container(
                          margin: EdgeInsets.fromLTRB(0, 0, 7.5.w, 0),
                          child: Text(
                            '详情>>',
                            style: TextStyle(
                                fontSize: 17.sp,
                                fontWeight: FontWeight.bold,
                                color: Color(0xFF606060)),
                          ),
                        ),
                      )
                    ],
                  ),
                ),
                Divider(
                  color: Color(0xE5000000),
                  height: 30.h,
                  thickness: 0.5.w,
                ),
                CardCell(lable: '订单号', content: 'M-20220424000003', size: 8.6),
                CardCell(lable: '农机名称', content: '源盛第四种农机的第一个农机', size: 2),
                CardCell(lable: '下单人', content: '', size: 8.6),
                CardCell(lable: '手机号', content: '18082043755', size: 8.6),
                CardCell(lable: '订单时间', content: '2022-04-24', size: 2),
                CardCell(lable: '作业时间', content: '2022-04-24 15:54:51 2022-04-25 15:54:51', size: 2),
                CardCell(lable: '订单费用', content: '0.01元', size: 2),
              ],
            ),
          ),
        ],
      ),
    );
  }

}